summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorAndreas Sturmlechner <asturm@gentoo.org>2018-04-13 20:02:39 +0200
committerAndreas Sturmlechner <asturm@gentoo.org>2018-04-13 20:08:37 +0200
commit5ecb8e6a436e4c574f0ceef868c7369275f82b18 (patch)
tree8c0692e3eda6b128e54f74e3e7fc2184f2c76018 /dev-qt/qtspeech
parentdev-python/paho-mqtt: bump version to 1.3.1 (diff)
downloadgentoo-5ecb8e6a436e4c574f0ceef868c7369275f82b18.tar.gz
gentoo-5ecb8e6a436e4c574f0ceef868c7369275f82b18.tar.bz2
gentoo-5ecb8e6a436e4c574f0ceef868c7369275f82b18.zip
dev-qt: 5.9.5 version bump
Package-Manager: Portage-2.3.28, Repoman-2.3.9
Diffstat (limited to 'dev-qt/qtspeech')
-rw-r--r--dev-qt/qtspeech/Manifest1
-rw-r--r--dev-qt/qtspeech/qtspeech-5.9.5.ebuild22
2 files changed, 23 insertions, 0 deletions
diff --git a/dev-qt/qtspeech/Manifest b/dev-qt/qtspeech/Manifest
index cd36a0c5f3b..e2ae67430b4 100644
--- a/dev-qt/qtspeech/Manifest
+++ b/dev-qt/qtspeech/Manifest
@@ -1 +1,2 @@
DIST qtspeech-opensource-src-5.9.4.tar.xz 80860 BLAKE2B 8556d375edc5bf0e3edd9745cef6bccab3e2457efee1fa4cc3f6d4feb90da3f651135ba9034caac474ef2e9888bbb3a41771d85b4f8a13b16867ba516a42f47b SHA512 6e2913b23c57cb0dd407b09db78fbb9b6b15c721f6d7af65c744d71f8a66f235a1069b1098eb5cd8b35449255ef94af2a96b2c4a1c550fe0e03000e023c393d9
+DIST qtspeech-opensource-src-5.9.5.tar.xz 80812 BLAKE2B 043dc3d93deec7fe7a38343811eba3df5acc32ffee477651fb014726a3f82ef296253909389bca9ded3e77a1e7b27b88951054809487350b365e0cb400b9b07b SHA512 a4ca5b3fff120b02b62f25551b1f68ad44165707fbc02107dfc7eb915868e515d0fac7189d16f53d9ecc60fee2c082f34040ae95f7199feb5b23deee8b44872b
diff --git a/dev-qt/qtspeech/qtspeech-5.9.5.ebuild b/dev-qt/qtspeech/qtspeech-5.9.5.ebuild
new file mode 100644
index 00000000000..24627d2b866
--- /dev/null
+++ b/dev-qt/qtspeech/qtspeech-5.9.5.ebuild
@@ -0,0 +1,22 @@
+# Copyright 1999-2018 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=6
+inherit qt5-build
+
+DESCRIPTION="Text-to-speech library for the Qt5 framework"
+
+if [[ ${QT5_BUILD_TYPE} == release ]]; then
+ KEYWORDS="~amd64 ~x86"
+fi
+
+# TODO: flite plugin - needs 2.0.0 (not yet in tree)
+IUSE=""
+
+RDEPEND="
+ >=app-accessibility/speech-dispatcher-0.8.7
+ ~dev-qt/qtcore-${PV}
+"
+DEPEND="${RDEPEND}"
+
+PATCHES=( "${FILESDIR}/${PN}-5.9.4-nogui.patch" )